#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n ;
    cin >> n ;
    int x[n+1] ;
    int y[n] ;
    int z[n] ;
    x[n]=10000000 ;
    for(int i=0 ; i<n ; i++){
        cin >> x[i] ;
    }
    for(int i=0 ; i<n ; i++){
        cin >> y[i] ;
    }
    for(int i=0 ; i<n ; i++){
        cin >> z[i] ;
    }
    sort(x,x+n) ;
    long long uk=0 ;
    for(int i=0 ; i<n ; i++){
        long long ind1=lower_bound(x,x+n,y[z[i]-1])-x ;
        long long ind2=upper_bound(x,x+n,y[z[i]-1])-x ;
        uk+=ind2-ind1 ;
    }
    cout << uk ;
    return 0;
}